Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# RTPortableServerC.h File Reference

`#include "ace/config-all.h"`
`#include "rtportableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PortableServer/PortableServer_includeC.h"`
`#include "tao/RTCORBA/RTCORBA_includeC.h"`

Include dependency graph for RTPortableServerC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | RTPortableServer
namespace | TAO
## Classes
interface | RTPortableServer::POA
struct | TAO::Objref_Traits< ::RTPortableServer::POA >
## Defines
#define | TAO_EXPORT_MACRO TAO_RTPortableServer_Export
#define | _RTPORTABLESERVER_POA__VAR_OUT_CH_
#define | _RTPORTABLESERVER_POA_CH_
#define | _RTPORTABLESERVER_POA__TRAITS_CH_
## Typedefs
typedef POA * | POA_ptr
typedef TAO_Objref_Var_T< POA > | POA_var
typedef TAO_Objref_Out_T< POA > | POA_out
## Functions
TAO_RTPortableServer_Export void | operator<<= (CORBA::Any &, RTPortableServer::POA_ptr)
TAO_RTPortableServer_Export void | operator<<= (CORBA::Any &, RTPortableServer::POA_ptr *)
TAO_RTPortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTPortableServer::POA_ptr &)

## Define Documentation

#define _RTPORTABLESERVER_POA__TRAITS_CH_

#define _RTPORTABLESERVER_POA__VAR_OUT_CH_

#define _RTPORTABLESERVER_POA_CH_

#define TAO_EXPORT_MACRO TAO_RTPortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< POA > RTPortableServer::POA_out

typedef POA* RTPortableServer::POA_ptr

typedef TAO_Objref_Var_T< POA > RTPortableServer::POA_var

## Function Documentation

TAO_RTPortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTPortableServer::POA_ptr * |
| ) |

TAO_RTPortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTPortableServer::POA_ptr |
| ) |

TAO_RTPortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTPortableServer::POA_ptr & |
| ) |